ReferenceWebhooks

Send a test event

Send a WEBHOOK_EVENT_TYPE_TEST event with a sample site to an endpoint, to check your receiver and signature verification.

POST
/duranta.api.public.v1.WebhookService/SendTestEvent

Authorization

Authorizationheaderrequired

Bearer token with the sites:scan scope. You get it in exchange for an API key: see Authentication, or press Try in Playground, which takes your key and gets the token for you.

Request body

application/json
  1. body
endpointId*string

The id of the endpoint. At most 64 bytes.

Response

Success

application/json
  1. response
eventId?string

The eventId of the delivery. Find it in ListWebhookDeliveries.

Send a test event
curl -X POST \  'https://app.getduranta.com/duranta.api.public.v1.WebhookService/SendTestEvent' \  -H 'Content-Type: application/json' \  -d '{  "endpointId": "string"}'
Response
{  "eventId": "string"}